org.keycloak.authentication.forms

## Class RegistrationPage

- java.lang.Object
- - org.keycloak.authentication.forms.RegistrationPage

- All Implemented Interfaces:
    ConfigurableAuthenticatorFactory, FormAuthenticator, FormAuthenticatorFactory, ConfiguredProvider, Provider, ProviderFactory<FormAuthenticator>

      public class RegistrationPage
      extends Object
      implements FormAuthenticator, FormAuthenticatorFactory

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FIELD_EMAIL`
    `static String` | `FIELD_FIRST_NAME`
    `static String` | `FIELD_LAST_NAME`
    `static String` | `FIELD_PASSWORD`
    `static String` | `FIELD_PASSWORD_CONFIRM`
    `static String` | `FIELD_USERNAME`
    `static String` | `PROVIDER_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegistrationPage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `FormAuthenticator` | `create(KeycloakSession session)`
    `List<ProviderConfigProperty>` | `getConfigProperties()`
    `String` | `getDisplayType()` Friendly name for the authenticator
    `String` | `getHelpText()`
    `String` | `getId()`
    `String` | `getReferenceCategory()` General authenticator type, i.e.
    `AuthenticationExecutionModel.Requirement[]` | `getRequirementChoices()` What requirement settings are allowed.
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `boolean` | `isConfigurable()` Is this authenticator configurable?
    `boolean` | `isUserSetupAllowed()` Does this authenticator have required actions that can set if the user does not have this authenticator set up?
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized
    `javax.ws.rs.core.Response` | `render(FormContext context, LoginFormsProvider form)` Called to render the FormAuthenticator's challenge page.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### FIELD_PASSWORD_CONFIRM

          public static final String FIELD_PASSWORD_CONFIRM

      See Also:
        Constant Field Values

    - #### FIELD_PASSWORD

          public static final String FIELD_PASSWORD

      See Also:
        Constant Field Values

    - #### FIELD_EMAIL

          public static final String FIELD_EMAIL

      See Also:
        Constant Field Values

    - #### FIELD_USERNAME

          public static final String FIELD_USERNAME

      See Also:
        Constant Field Values

    - #### FIELD_LAST_NAME

          public static final String FIELD_LAST_NAME

      See Also:
        Constant Field Values

    - #### FIELD_FIRST_NAME

          public static final String FIELD_FIRST_NAME

      See Also:
        Constant Field Values

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RegistrationPage

          public RegistrationPage()

  - ### Method Detail

    - #### render

          public javax.ws.rs.core.Response render(FormContext context,
                                                  LoginFormsProvider form)

      Description copied from interface: `FormAuthenticator`
      Called to render the FormAuthenticator's challenge page. If null is returned, then success is assumed and the next authenticator in the flow will be invoked.
      Specified by:
        `render` in interface `FormAuthenticator`
      Returns:

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `Provider`
      Specified by:
        `close` in interface `ProviderFactory<FormAuthenticator>`

    - #### getDisplayType

          public String getDisplayType()

      Description copied from interface: `ConfigurableAuthenticatorFactory`
      Friendly name for the authenticator
      Specified by:
        `getDisplayType` in interface `ConfigurableAuthenticatorFactory`
      Returns:

    - #### getHelpText

          public String getHelpText()

      Specified by:
        `getHelpText` in interface `ConfiguredProvider`

    - #### getConfigProperties

          public List<ProviderConfigProperty> getConfigProperties()

      Specified by:
        `getConfigProperties` in interface `ConfiguredProvider`

    - #### getReferenceCategory

          public String getReferenceCategory()

      Description copied from interface: `ConfigurableAuthenticatorFactory`
      General authenticator type, i.e. totp, password, cert.
      Specified by:
        `getReferenceCategory` in interface `ConfigurableAuthenticatorFactory`
      Returns:
        null if not a referencable category

    - #### isConfigurable

          public boolean isConfigurable()

      Description copied from interface: `ConfigurableAuthenticatorFactory`
      Is this authenticator configurable?
      Specified by:
        `isConfigurable` in interface `ConfigurableAuthenticatorFactory`
      Returns:

    - #### getRequirementChoices

          public AuthenticationExecutionModel.Requirement[] getRequirementChoices()

      Description copied from interface: `ConfigurableAuthenticatorFactory`
      What requirement settings are allowed.
      Specified by:
        `getRequirementChoices` in interface `ConfigurableAuthenticatorFactory`
      Returns:

    - #### create

          public FormAuthenticator create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<FormAuthenticator>`

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<FormAuthenticator>`

    - #### isUserSetupAllowed

          public boolean isUserSetupAllowed()

      Description copied from interface: `ConfigurableAuthenticatorFactory`
      Does this authenticator have required actions that can set if the user does not have this authenticator set up?
      Specified by:
        `isUserSetupAllowed` in interface `ConfigurableAuthenticatorFactory`
      Returns:

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<FormAuthenticator>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<FormAuthenticator>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.